#include "munga.h"
#pragma hdrstop

#include "srtskt.h"

SortedSocket::SortedSocket(Node *node, Logical has_unique_entries) : SafeSocket(node)
{
	hasUniqueEntries = has_unique_entries;
}

SortedSocket::~SortedSocket()
{
}

void SortedSocket::AddValueImplementation(Plug*, const void*)
{
	Fail("SortedSocket::AddValueImplementation - Should never reach here");
}

Plug* SortedSocket::FindImplementation(const void*)
{
	Fail("SortedSocket::FindImplementation - Should never reach here");
	return NULL;
}

SortedIterator::SortedIterator(SortedSocket *sortedSocket) : SafeIterator(sortedSocket)
{
}

SortedIterator::~SortedIterator()
{
}

Plug* SortedIterator::FindImplementation(const void*)
{
	Fail("SortedIterator::FindImplementation - Should never reach here");
	return NULL;
}

void* SortedIterator::GetValueImplementation()
{
	Fail("SortedIterator::GetValueImplementation - Should never reach here");
	return NULL;
}
